%[Header, Sequence] = fastqread(fastq);
% pomocí této funkce se snažím najít úspěšná čtení z fastq souborů a
% nalezení jejich ekvivalentu v .mat souborech uložených ze surových čtení
% z fast5 souborů (provedeno pomocí funce load_data.mat) 

%load('CB.mat')
%[Header, Sequence] = fastqread('cb.fastq');


Sequence = data1(:,1);
Header = data1(:,2);
Header = transpose(Header);
m = 1;
i=1;
j=1;
l=1;
vysledek = zeros(1,length(vysledek);

dataset=cell(length(vysledek,1);
for m=1:length(Header);
for i=1:length(vysledek);
x = data1{i,2};
x = char(x);
header = Header{1,m};
header = header{1};
header = header(1:36);
vysledek(i) = contains(x,header);

for j=1:length(vysledek)
   % l = 1
if vysledek(j) == 1;
    dataset{j,1} = data1{j,1};
    dataset{j,2} = data1{j,2};

    l = l+1;

end

end

end
end



data = dataset(~cellfun('isempty',dataset));


h = floor(size(data,1)/2);
FirstArray = data(1:h, :);
SecondArray = data(h+1:end, :);
vysledek =  [FirstArray(1:800,1), SecondArray(1:800,1)]
% dataset je znovu ručně uložen - z něj poté počítám výsledky